Retrieve Bulk Workflow Actions
Retrieve all available workflow actions that can be initiated on a workflow which:
- The authenticated user has permissions to view or initiate
- Can be initiated through the API
GET
/api/{version}/object/workflow/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -L -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/object/workflow/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "canceltasks",
"label": "Cancel Tasks"
},
{
"name": "cancelworkflows",
"label": "Cancel Workflows"
},
{
"name": "reassigntasks",
"label": "Reassign Tasks"
},
{
"name": "replaceworkflowowner",
"label": "Replace Workflow Owner"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all available workflow actions for a Vault.